/*Copyright (c) 2004, Stanford University
  All rights reserved.*/


#ifndef FRAGMENT_SHADER_INCLUDED
#define FRAGMENT_SHADER_INCLUDED

#include <stdio.h>
#ifdef WIN32
#include <windows.h>
#endif 
#include <GL/gl.h>

class FSHADER
{
private:
        GLuint m_program_id;
public:
        FSHADER() : m_program_id(0) { }
        ~FSHADER();
        bool LoadFromFile(const char* filename);
        bool LoadFromString(const char* program);
        void Bind(void) const;
        void Release(void) const;
        void Destroy(void);
        
        // no copying
private:
        FSHADER& operator= (const FSHADER& rhs);
        FSHADER(const FSHADER& shader);
};

#endif // FRAGMENT_SHADER_INCLUDED
