/*Copyright (c) 2004, Stanford University
  All rights reserved.*/


#ifndef ARB_GLOBALS
#define ARB_GLOBALS

/* We're making our own typedefs here since NVIDIA's gl.h is lacking them. */
typedef void (APIENTRY * glProgramLocalParameter4dARB_t) (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
typedef void (APIENTRY * glProgramLocalParameter4dvARB_t) (GLenum target, GLuint index, const GLdouble *params);
typedef void (APIENTRY * glProgramLocalParameter4fvARB_t) (GLenum target, GLuint index, const GLfloat *params);
typedef void (APIENTRY * glGetProgramLocalParameterdvARB_t) (GLenum target, GLuint index, GLdouble *params);
typedef void (APIENTRY * glProgramEnvParameter4dARB_t) (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
typedef void (APIENTRY * glProgramEnvParameter4dvARB_t) (GLenum target, GLuint index, const GLdouble *params);
typedef void (APIENTRY * glProgramEnvParameter4fARB_t) (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
typedef void (APIENTRY * glProgramEnvParameter4fvARB_t) (GLenum target, GLuint index, const GLfloat *params);
typedef void (APIENTRY * glGetProgramEnvParameterdvARB_t) (GLenum target, GLuint index, GLdouble *params);
typedef void (APIENTRY * glGetProgramEnvParameterfvARB_t) (GLenum target, GLuint index, GLfloat *params);
typedef void (APIENTRY * glGenProgramsARB_t) (GLsizei n, GLuint *programs);
typedef void (APIENTRY * glProgramStringARB_t) (GLenum target, GLenum format, GLsizei len, const GLvoid *string);
typedef void (APIENTRY * glBindProgramARB_t) (GLenum target, GLuint program);
typedef GLboolean (APIENTRY * glIsProgramARB_t) (GLuint program);
typedef void (APIENTRY * glVertexAttrib3fARB_t) (GLuint index, GLfloat x, GLfloat y, GLfloat z);
typedef void (APIENTRY * glActiveTextureARB_t) (GLenum texture);
typedef void (APIENTRY * glTexImage3DEXT_t) (GLenum target,
					     GLint level,
					     GLint internalFormat,
					     GLsizei width,
					     GLsizei height,
					     GLsizei depth,
					     GLint border,
					     GLenum format,
					     GLenum type,
					     const GLvoid *pixels );


#endif

#ifndef EXT_BLEND
#define EXT_BLEND

typedef void (APIENTRY * glBlendFuncSeparateEXT_t) (GLenum, GLenum, GLenum, GLenum);

#endif
