/* Copyright (c) 2004, Stanford University
   All rights reserved.*/

#ifndef VERTEX_SHADER_INCLUDED
#define VERTEX_SHADER_INCLUDED

#include <stdio.h>
#ifdef WIN32
#include <windows.h>
#endif 
#include <GL/gl.h>

class VSHADER
{
private:
        GLuint m_program_id;
public:
        VSHADER() : m_program_id(0) { }
        ~VSHADER();
        bool LoadFromFile(const char* filename);
        bool LoadFromString(const char* program);
        void Bind(void) const;
        void Release(void) const;
        void Destroy(void);
        
        // no copying
private:
        VSHADER& operator= (const VSHADER& rhs);
        VSHADER(const VSHADER& shader);
};

#endif // VERTEX_SHADER_INCLUDED
